  + Клавиши PgUp/PgDn корректно пролистывают предыдущий/следующий месяц в TRxCalendarGrid и TRxDateEdit
  + При попытке редактирования закрытого набора данных TRxMemoryData в сообщении об ошибке выдаётся наименование набора данных
  + Исправлено создание ресурсов из XPM файлов
  + Доработана отрисовка тени у кнопки на TToolPanel
  - Исправлена ошибка в TDBComboBox.EditingDone; если не присвоен DataSet
  - Переработан код выравнивания кнопок на TToolPanel
  + Опубликовано свойство OnUTF8KeyPress;
  + Свойство ToolPanel.ToolBarStyle теперь может принимать значение tbsNative - для отрисовки кнопок используется 
    текущая тема
  + Доработано окно настройки панели инструментов    
  + У компоненты TRxDateEdit добавлено свойствой - ValidDate. Определяет коректность введённой даты.
  + Добавлена два исходных компонента:  TRxSpinButton и TRxSpinEdit (автор порта - Edward Ivanov)
  - исправлены глифы у TRxClock, TRxDateEdit, TAutoPanel (Edward Ivanov)
  - Исправления в TRxDatePicker (Edward Ivanov)
  + Добавлены компоненты TRxDBSpinEdit, TRxTimeEdit, TRxDBTimeEdit
  + TRxLoginDialo теперь работает. По сравнению с оригинальным функционал сильно расширен. 
    Изменён дизайн формы
  + Улучшена отрисовка вертикальных заголовков в гриде. Код из TAChart
  + Опубликова BorderSpacing в TRxLabel
  + Добавлен пример для использования автоматической сортировки в RxDBGrid
  - Исправлена сортировка при использовании TRxMemDataSet
  - Исправлена отрисова кнопки в ToolPanel при отрисовке с использованием текущей темы
  + Реализована возможность объединения ячеек в заголовке таблицы
    (смотрите в демке на RxDBGrid)
  - Исправлена ошибка установки значения для TRxDBComboBox
  + Реализовн режим быстрого поиска (код от Алексея Козлова с небольшими доработками) - подробнее смотри пункт 6 в 
    файле readmy.txt
  - Исправлена ошибка при работе сортировки с рускими полями под Postgres (grigoreo)
  + В опциях FBDataSet добавлен флаг poNotSetDefaultParams - не устанавливать форматы полей при открытии БД
  - Исправлена ошибка переключения стиля RxDateEdit с диалога на popup
  + Улучшена отрисовка текста кнопки в ToolBar
  + Свойство TCustomRxDateEdit.YearDigits теперь работает 
  + Большой патч от Rene Herranz Daniel (rhdaniel74.(at).gmail.com) - доработки по сортировке данных,
    меню правого верхнего угла, фильтрация данных
  + Начато написание документации в формета LazDoc
  - Исправлено изменение цвета конца недели в RxDateEdit
  + Добавлена демка для RxDBLookup
  + У объекта TRxDBLookupCombo опубликовано свойство Text - установка значения для него вызывает поиск по лукап-листу
  + Локальная фильтрация в RxDBGrid-е использует значения Field.DisplayText, а не Field.AsString
  + В форме настроек колонок RxDBGrid работает перемещение столбцов
  + При сохранении состояния RxDBGrid сохраняется также положение столбцов
  - Исправлена ошибка в RxDBGrid при сохранении состояния Visible колонок
  + В RxDBGrid в функции поиска колонки по её наименованию TRxDBGrid.ColumnByCaption
    не учитывается регистр символов
  + В RxDBGrid сохраняется между сеансами порядок сортировки
  + В RxDBGrid при автоматическом подборе ширины колонки учитывается ширина заголовка
  + модуль
  + В объекте TRxMemoryData переключил фильтрацию на стандартный механизм из модуля DB - раньше был код 
    для обхода ошибок. В дальнейшем событие OnFilterRecordEx будет полностью исключено из компонента
  + Новый модуль rxFileUtils - набор дополнительных функций для работы с файлами:
       GetFileOwnerUser - возвращает имя пользователя-владельца файла (пока только windows)
       GetFileOwnerData - возвращает информацию о владельце файла (пока только windows)
       NormalizeDirectoryName - приводит все разделитили каталогов в имени файла к тому виду, как принятов данной ОС.  
  + У TRxColumnFooter доступно свойство NumericValue - содержит числовое представление значения 
    итогов по столбцу. Имеет смысл только для ValueType = fvtSum, fvtAvg, fvtMax, fvtMin
  + Новая компонента TRxVersionInfo - обёртка над вызовами функция чтения ресурсов файла
  - Исправлено рисование изображение в колонках RxDBGrid-а если выключен индикатор или заголовок
  - Исправлено рисование колонок с объединёнными заголовками
  - Введдена обработка ситуации востановления состояния RxDBGrid-а, если количество колонок во время востановления меньше,
    чем было в момент сохранения
  + Новая компонента TRxAboutDialog - окно для отображения информации о программе (пример смотреть в демке по RxDBGrid-у)
  + Добавлена поддержка компиляции под WinCE
  - Исправлена ошибка автоподбора ширины колонки при двойном щелчке по заголвку колонки
  + При подсчёте итоговой строки не вызываются лишние просчёты по данным (если нет агрегатных функций)
  + Для RXDbGrid-а реализована система назначения функциональных клавиш на вызов функций (сортировка, фильтрация и т.д.)
    добавлено новое свойство KeyStrokes
  + Добавлен новый компонент RxCurredit
  + Добавлен новый компонент- TRxViewsPanel 
22.05.2008 - версия 2.0.0.136 (svn revision 100)
  + У объекта TRxCustomDBLookupCombo введён контроль на CircularDataLink
  + У объекта TRxCustomDBLookupCombo ускорена отрисовка данных
  - У объекта TRxCustomDBLookupCombo исправлен выбор первой записи из справочника при
    пустом значени в DataField
  + В RxDBGrid опубликованы недостающие обработчики из DBGrid
  + Реализован новый компонент TRxCalendarGrid - простой календарь без заголовка.
  - Исправлена ошибка компиляции модуля rxappicon.pas под Windows при использовании 
    интерфейса GTK2 (спасибо ViruZ - Вадим Витомский)
  + Добавлен модуль rxiconv.pas (оригинальный модуль iconv.pas от A.Voito)
  + Небольшое улучшение отрисовки заголовка кнопки в форме настройки TToolbar
  + Исправлена отрисовка запрещённого состояния у TRxCustomDBLookupCombo
  - Исправлена компиляция модуля rxctrls в fpc 2.2
  + В TPopUpColumnTitle введена поддержка дерективы
     NEW_STYLE_TITLE_ALIGNMENT_RXDBGRID
  + В RxDBGrid изображения маркеров вынесены в ресурсы (Petr Smolik)
  + Добавлен модуль автоматической сортировки в RxDBGrid exsortzeos.pas для ZeosDB (Petr Smolik)
  - В TCurrencyEdit опубликовано свойство BorderSpacing
  + В модуль rxstrutils добавлена процедура StrToStrings - заполняет класс TStrings строками
    содержащимися в строке S и разделёнными симовлом Delims
  + Реализован редактор свойств для полей LookupField и LookupDisplay у компонент 
    TRxLookupEdit и TRxDBLookupCombo
  + TRxDBLookupCombo реализована поддержка свойства AutoSize
  + При установке свойства Font у TRxDBLookupCombo выпадающий список использует этот же шрифт
  + Если у объекта TField установленый лукапные источники то при редактировании в RxDBGrid 
    такого поля вызывается редактор на основе TRxDBLookupCombo
  - Исправлена ошибка в компоненте TRxLookupEdit - не правильно закрывался выпадающий список
  + В RxDBGrid опубликованны недостающие поля
  + Косметические изменения отрисовки TRxCustomDBLookupCombo
  + Выпадающий список в TRxCustomDBLookupCombo отображатеся просто по клику на компоненте
  + В RxDBGrid доработана отрисовка маркера сортировки и заголовка колонки
  + Перенесён и дописан компонент TRxDateEdit
  + В RxDBGrid реализован редактор для полей типа ftDate, ftDateTime на основае TRxDateEdit
    (см. Demos/RxDBGrid)
  + Доработки фильтрации в RxDBGrid для GTK и GTK2
  + Перенесены компоненты TRxSpeedButton и TRxClock
  + новая функция в модуле dbutils -  FillValueForField
  + Реализован редактор для RxColumnFooter.FieldName
  + TDBDateEdit теперь наследуется от TRxDateEdit, чтобы оставить как было необходимо 
    включить директиву DBDateEdit_OLD. Для работоспособности программ необходимо переоткрыть все формы 
    в дизайнере.
  + В RxDBGrid опубликованы недостающие поля
  - Исправлена ошибка в обработке пустой даты в редакторе дат.
  + В свойстве PopUpFormOptions компоненты TRxDBLookupCombo добавлено поле AutoFillColumns - аналог одноимённого поля
    из TDBGrid - используется в выпадающем списке
  - Улучшен код в отрисовке компоненты TRxDBLookupCombo
  + В TRxDBLookupCombo работает свойство DropDownCount
  - Исправлена ошибка TRxDBLookupCombo при LookupSourse.Active=false и установке значения для поля DataField
  + В свойстве PopUpFormOptions компоненты TRxDBLookupCombo для элемента из списка Collumns добавлен редктор на FieldName

29.08.2007 - версия 1.1.5.98 (svn revision 39)
  + В RxDBGrid После закрытия набора данных список помеченных строк (SelectedRows) 
    очищается
  + Улучшено масштабирование формы поиска по RxDbGrd    
  + Компиляция в последнем Lazarus
  + TToolbarButton различает теперь стили tbrSeparator и tbrDivider
    tbrSeparator - разделитьль с чертой
    tbrDivider - пустой разделитель
  + TToolbarButton новый стиль tbrDropDownExtra - кнопка с выпадающим меню.
    В отличии от tbrDropDown это работает как кнопка + если нажата крайня правая область - то 
    тогда появляется меню. (интерфейс ещё коряв - надо будет доработать в дальнейшем)
12.08.2007 - версия 1.1.4.93
  + В TRxDBComboBox опубликованы недостающие поля
  + В TRxDBLookupCombo добавлено обработчик OnGetGridCellProps
    - позволяет задавать при отрисовке фон в выпадающем списке
  + В rx.inc ввёл новую дерективу компиляции 
    RXDBGRID_OPTIONS_WO_CANCEL_ON_EXIT
    если она определени - то в свойстве TRxDbGrid.Options выключается флаг
    dgCancelOnExit (см. пункт 5 из readmy.txt)
  - В RxDBGrid исправлена ошибка потери фокуса после закрытия списка фильтра
  + В примере на RxDBGrid добавлен промер на визуальную фильтрацию данных
  + Добавлен компонент TAutoPanel (автор Dmitry V. Bolshakov) - 
    документация в папке auto_panel_doc
  + В свойстве OptionsRX добавлен новый флаг - rdgMrOkOnDblClik
    при его установке при двойном нажатии на RxDbGrid форме, которой принадлежит 
    RxDbGrid присиваивается ModalResult:=mrOk;
25.06.2007 - версия 1.1.3.86
  - Исправлена ошибка в методе TRxMemoryData.SortOnFields
  + Добавлена поддержка сортировок из RxDBGrid на TRxMemoryData 
    - достаточно просто подключить в проект модуль rxsortmemds
  + В RxDBGrid добавлен метод UpdateTitleHight - принудительный пересчёт высоты заголовок колонок
  - В RxDBGrid испралено определение нажатия на последнйи столбец
  + В RxDBGrid в заголовке введена специальная обработка символа | - это
    считается безусловный разделитель строк
  + В RxDBGrid.OptionsRx добавлен флаг rdgMultiTitleLines - 
    при наличии в заголовке символа | между строками рисуется разделительная 
    линия
  + В rx.inc ввёл новую дерективу компиляции 
    NEW_STYLE_TITLE_ALIGNMENT_RXDBGRID
    если она определна, то при создании новых колонок в RxDBGrid заголовок центрируется,
    если эта деректива не определена - то поведение заголовка стандартное - выравнивается 
    по левому краю
  + В TRxDBLookupCombo если в свойстве PopUpFormOptions заданы колонки то при отрисовке данных
    в строке используется ширина, указанная в колонках
  + В TRxDBLookupCombo после закрытия списка запоминается ширина колонок, установленная 
    оператором
31.05.2007 - версия 1.1.2.77
  - Исправлена компиляция модуля rxtoolbar.pas с последними версиями LCL 
    (после введения тем) - сам TToolPanel ещё не работает с темами
  - Исправил компиляцию модуля rxlogin.pas - была ошибка на SetCursor
15.05.2007 - версия 1.1.1.75
  + В RxDBGrid добавлен метод OptimizeColumnsWidth(AColList:String) - подбирает 
    ширину колонки (колонок - перечисление через ";") по содержимому
  + В RxDBGrid добавлен метод OptimizeColumnsWidthAll - соотвественно производит автободбор 
    ширины для всех колонок
  + TRxColumn добавлен метод OptimizeWidth - подбор ширины указанной колонки
    Для всех методов подбора ширины производится также выфетчивание всех записей
  + Опция rdgDblClickOptimizeColWidth в свойстве RxDBGrid.OptionsRx работает 
  - исправлен глюк расчёта высоты заголовка колонки для многострочного заголовка
  - Исправлен глюк отерытия примера на RxDBGrid
  + В примере на RxDBGrid добавлен примера на оптимизацию ширины
28.03.2007 - версия 1.1.0.68
  - В RxDBGrid исправлена отрисовка итоговой строки при изменении размера колонок
  + В RxDBGrid в свойстве OptionsRx добавлено состояние rdgXORColSizing
    - при включённом прорисовка масштабирования колонки происходит линией 
    (контуром), окончательная прорисовка колонки происходит после окончания изменения 
    размера столбца - стандартное поведение в Delphi
  - Изменён метод отрисовки итоговой строки (код от Yogrik)
  + Небольшие доработки с позиционированием кнопок в ToolBar-е
  + В TRxDBLookupCombo улучшена отрисовка выпадающего списка
  + В TRxColumnTitle добавлены свойства Hint и ShowHint - подсказка, всплывающая при
    наведении курсора на заголовок колонки в TRxDBGrid
  + Реализована поддержка фильтрации днных в TRxDBGrid (код от Yogrik)
01.11.2006 - версия 1.0.19.61
  + В выпадающем списке компонента TRxDBLookupCombo реализован быстрый поиск
    по столбцу, заданному свойством LookupDisplayIndex.
    Из-за ограничений LCL поиск осуществляется пока только по вводу чисел
  + В RxDBGrid добавлено отображение строки итогов (Footer row), соответсвенно введены 
    необходимые свойства в колонках.
    Внимание: из-за ошибок в TDataSet не работает коректно пока агрегатные функции
    (SUM, MAX, MIN, AVG)
  + В TRxMemoryData реализовал свойство AppendRecord - пока не будет написано аналогичное 
    в TDataSet
  + Новый Демо - RxDBGrid - демонстрация возможностей RxDBGrid
  - В RxDBGrid исправлен вызов OnDrawColumnCell
08.09.2006 - версия 1.0.18.56
  + У объекта TToolPanel ввёл параметр ButtonAllign = (tbaNone, tbaLeft, tbaRignt)
    выравнивание по умолчанию кнопок, tbaNone - это старое поведение
  + У объекта TToolbarItem (кнопка панели инструментов) введена поддержка типа 
    tbrSeparator - разделитель между кнопками
  + При закрытии списка у TRxDBLookupCombo происходит перерисовка 
    владельца (parent) компонента - обхожу глюк LCL в Win32
19.08.2006 - версия 1.0.17.53
  + изменил по умолчанию рамку popup окна у TRxDBLookupCombo на стиль bsNone
    (так привычнее)
  + Одиночный клик мышки в списке popup окна у TRxDBLookupCombo также закрывает 
    его
  - исправлена поведении в обработке клавиши ESC у компоненты TRxDBLookupCombo - 
    если поле набора данных не пустое - то происходит установка поля в null и обнуление 
    сканкода клавишы, при пустом поле (повторное нажатие) - клавиша не брабатывается
  + У RxDBLookupCombo не срабатывало событие OnChange
15.05.2006 - версия 1.0.16.49
  + Полностью переписан выпадающий список для объекта TRxDBLookupCombo
  + У объекта TRxDBLookupCombo введено новое свойство PopUpFormOptions - в нём
    собраны все параметры выпадающего списка
     если заполнен список PopUpFormOptions.Columns то список отоборажаемых
     полей в гриде берётся из этого свойства, иначе возьмётся строка
     LookupDisplay - здесь перечисляется список полей через точку с запятой (";")

11.05.2006 - версия 1.0.15.47
  + В RxDBGrid добавлено свойство с дополнительными параметрами, работают пока два
    отображение окна поиска в списке и окна выбора колонок к отображению
  + при включённой опции в свойстве OptionsRx нажатие сочетания клавш Ctrl+F
    отображает окно поиска по списку
  + при включённой опции в свойстве OptionsRx нажатие сочетания клавш Ctrl+W
    отображает окно выбора колонок
  + изменён случай вызлва для события TRxDbGrid.OnGetCellProps - для ячеки, которая 
    в данный момент сфокусирована - событие не вызвается
  + В TRxDBGrid добавлено свойство:
      function TRxDBGrid.ColumnByFieldName(AFieldName: string): TRxColumn
    возвращает указатель на требуемый столбец по имени поля набора данных
    в случае отсутсвия данного столбца - вернёт nil
11.04.2006 - версия 1.0.14.41
  - небольшое исправление в отображение CurrencyEdit
14.02.2006 - версия 1.0.13.40
  - исправлена отрисовка RxDbGrid с не подключённым набором данных
  - исправлена в RxDbGrid отрисовка заголовка колонки с набором полей по умолчанию
  + В TToolPanel добавлена поддержка выделенного списка изображений (Selected image list)
    (при наличии в нём изображений кнопки рисуются из него при наведённых на него курсоре)
  - исправлена ошибка сжатия колонки в RxDbGrid (деление на 0)
  - Исправлена кустомизация TToolPanel во время выполнения еслине у всех Items
    установлено свойство Action
12.01.2006 - версия 1.0.12.38
  + в RxDbGrid в заголовке колонки добавлено свойство Orientation - отвечает за 
    направление отрисовки текста в заголовке столбца
  + добавлена демка для демонстрацииотрисовки текста вертикально (под углом 90 
    градусов)
21.12.2005
  + в RxDbGrid добавлено свойство AllowedOperation - для запрета выплнения некоторых 
    операций
  + в RxDbGrid доработан обработчик события OnGetCellProps
  + в TRxMemoryData введено свойство OnFilterRecordEx - временно, пока в TDataSet 
    не реализуют работу свойства OnFilterRecord
16.12.2005 - версия 1.0.11.35
  + доработано поведение TToolbarButton для коректной работы 
    в последних сборках Lazarus
  + исправлен регистр в названиях некоторых модулей
  + пробная сборка под Linux    
27.11.2005 - версия 1.0.11.34
  - TToolPanel - исправлена ошибка сохранения свойств панели при
    редактировании её в runtime
22.10.2005 - версия 1.0.10.33
  + TRxLabel - перенесён компонент
  + TSecretPanel - перенесён компонент 
  - TRxMemoryData - внесён код, обходящий ошибку востановления свойства FieldDefs
      в модуле DB - работает вроде теперь всё правильно
  + TRxLoginDialog - начат перенесён 
  - TRxDBComboBox - небольшой багфикс
15.10.2005 - версия 1.0.9.30
  + TRxCustomDBLookupCombo - Улучшена отрисовка 
      (старый стиль отрисовки будет при включённом Flat) 
  + TRxCustomDBLookupCombo - При нажатии клавишы ESC поле очищается (метод DataField.Clear)
  - TRxCustomDBLookupCombo - Исправлена ошибка отрисовки пустого значения DataField в режиме 
      DisplayAllFields - отображается значение свойства EmptyValue
  - TRxCustomDBLookupCombo - Исправлена ошибка открытия списка допустимых значений при 
      пустом DataField  (список стоял на последней записи)
  - TRxCustomDBLookupCombo - исправлен расчёт высоты выпадающего списка в зависимости 
      от значения свойства DropDownCount 
  - TRxCustomDBLookupCombo - исправлен выбор значения в выпадающем спсике нажатием 
      клавишы Enter
  + TRxMemoryData - Введён код для обхода глюка Lazarus с не корректным созданием полей
      по данным FieldDefs, которые были созданы в Design-time
  + TRxMemoryData - реализован редактор компоненты - копия струтктуры из другого 
      DataSet-а
  + TRxDBGrid - подключен редактор свойства FieldName у колонки
  + TRxDBGrid - реализована возможность подстановки значений для отображения
      через свойства KeyList и PickList (аналогично TRxDBComboBox)
10.10.2005 
  - Исправлена ошибка при рисовании изображения в RxDbGrid из ImageList,
    также операция немного ускорена 
  - исправлена ошибка при изменении ширины колонки (деление на 0)
  + начата работа над сохранением состояния колонок RxDbGrid через FormStorage
  - Небольшой багофикс при работе с изображениями в TToolPanel
  + Добавил компонент TPageManager
  + Написал новый компонент TRxAppIcon - это для тех кто не хочет возиться с 
    ресурсами - в момент запуска приложению будет сопоставлена указанная иконка.
    т.к. она хранится не в стандартном виндовом ресурсе - поэтому проводник
    будет показывать на приложении обычную иконку - но в момент запуска
    появится указанная. Работает только под Windows - если кто знает как это 
    делается в других системах - допишите.
    Когда в лазаре доделают нормальную работу с иконками - компоненту надо 
    переписать - а может лазарь научится создавать стандартный ресурс виндовый
    для программы - тогда в этой компоненте надобность вобще отпадёт

08.10.2005
  + Окно настройки теперь вегда сверху
  + Для более тонкой настройки отображения кнопок добави в опциях тулбара 
    два дополнительных флага - tpGlyphPopup, tpCaptionPopup
  - небольшие багофиксы
  + реализована работа с изображениями в RxDbGrid через ImageList (см. readmy.txt)
  + Добавлен компонент TRXXPManifest - работает только под Windows - 
    поддержка XP манифеста
05.10.2005
  + убрал свойстов Flat, TransparentBtn 
  + Добавил свойство Options, включающее tpFlatBtns, tpTransparentBtns
  + Добавил включение окна настройки подвойному клику на панели 
    правой кнопкой мышки с зажатым Ctrl
  - исправл баг множественного открытия окна настройки панели
  + у TToolbarItem добавил свойство Tag

04.10.2005
  + в TToolPanel пофиксил баг не верного начального размера кнопки
  + Добавлена возможность прорисовки кнопок в стиле WindowsXP
  + При в стиле Flat и WindowsXP при наведении курсора на кнопку
    она приподнимается для лучшего визуализации
  - т.к. TImageList.Draw не умеет рисовать запроещённое состояние
    изоражения при задисабливании Action не дисаблится картинка
    также из-за этого нет возможности сделать изображение с тенью
  - вылазиет баг в лазаре если в дизайнере удалить напрямую с панели 
    кнопку (не через Items) - ещё не знаю как в лазаре в дизайнере 
    для некоторых элементов запретить удаление
  + Добавил демку для TToolPanel

03.10.2005
  + перевёл все имена файлов к нижнему регистру
  + в TToolPanel пофиксил некторые баги
    + работает окно настройки панели
    + Поддерживается DropDownMenu в стиле полного нажатия кнопки 
    + скрытие не нужных кнопок (настройка в run-time)


02.10.2005 (beta)
  + Начата реализация (полностью своя) TToolPanel - аналог RxToolbar
    по функциональности похоже на стандартный ToolBar - точно
    также работает через Actions (для добавления кнопок использовать метод Items) 
    полностью моя перерисовка кнопок - нормальный внешний вид.
  работает:
    + кустомизация расположения кнопок и внешнего вида в run-time
    + сохранение во внешний конфигурационный файл через propstorage
  будут реализованы:
    - DropDownMenu - в зависимости от стиля кнопки либо выпадает 
      при нажатии на кнопку, либо будет отдельнная облясть кнопки (суб.кнопка) для 
      вызова меню
    - скрытие ненужных кнопок (настройка в run-time)
    - стили отображения (сейчас стандарт Win9x, Flat) - добавляю как в WinXP
    - мастер создания панели в DesignTime в лазаре
  змеченые глюки
    - не всегда коректно востанавливается при ширина кнопок

    принимаю заявки на функциональность и ошибки

30.10.2005
  + перенёс 
  + перенёс RxDice, RxSwith, TRxDBComboBox
  + Разбил на 2 закладки - RX и RX DBAware
  - исправил баг с начальным размером у TRxDBLookupCombo


28.10.2005
  + практически работает Currency edit (не проверил под линухом)
    - из-за ошибки в функиции FormatFloat из FCL нельзя использовать в строке 
    форматирования одинарные или двойные кавычки - повесится
19.10.2005
  + TRxMemoryData - работает почти полностью - нет поддержки blob - надо разбирать
  + начал перенос Currency edit
  + правил ошибки
  - ещё не всё проверил в линуксе - теоретически должно собраться и работать
05.10.2005
  + Добавлен TRxDBGrid - написан по "мотивам оригинального, ещё есть что переносить
    самое главное, почему его начал переносить - захотелось сделать сортировку
    наборов данных как в DBGridEh из EhLib. Я вышел с предложением на
    Jesus Reyes (автор DBGrid-а о добавлении функциональности) - он сказал, что нефиг
    превращать стандартный компонент в новогоднюю ёлку. Поэтому стал сам доделывать
    наследника.
    Сейчас работает многострочные заголовки, подерживается нажатие на заголовок
    как на кнопку с опциональным отображением символа сортировки (соответсвующее событие)

    также добавил механизм автосортировки см. файл exSortFB.pas - тут наиболее лаконично
    всё. Кратко - для необходимых типов источноков данных
    пишется обёртка (наследник от TExDBGridSortEngine) который умеет в этом
    источнике данных переупорядочивать записи. Мой TFBDataSet (работаю с FireBird)
    умеет сам в локальном кэше сортировать запис - поэтому там всё просто.
    exsortmds.pas - этот модуль для сортировки данных в стандартном MemDS
    немного кривовато написано - практически нет механизмов добраться до внутреннего
    буфера данных (кстати в MemDS есть баг позиционирования курсора на 1-ю запись)

  - TRxMemoryData - вроде всё скомпилировалось практически без правки - но чтото при
    добавлении записи - ошибка (подозреваю не совместимость DataSet-а из дельфей и Лазаря)
    надо разобраться. Стандартный MemDS ограничен - нет блоб и прочего.
31.09.2005
  + Add component TFolderLister - это моя разработка - на основе неё добавлю
    ещё компонент для построения меню, содержащее отчёты для LazReport-a
    (аналог у меня в дельфях моей также разработки)
07.01.2005
  i'm port next RX components:
    TDBDateEdit - не даёт вводить значения руками - наследство от оригинального
      TDateEdit
    TRxDBCalcEdit
    TRXLookupEdit, 
    TRxDBLookupCombo - тут баг - при кидании на форму не коректно устанавливаются
      размеры, приходится руками ресайзить - когда нить доделаю - или кто сможет -
      помогайте.


  and next modules:
    DateUtil.pas
    DbUtils.pas
    rxdconst.pas
    RXStrutils.pas
    VCLUtils.pas
    
жду замечаний и предложений
  Лагунов Алексей (alexs)

  ALEXS75-на-YANDEX-точка-RU
  
